curl --request PUT \
--url https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "<string>",
"client_name": "<string>",
"redirect_uris": [
"<string>"
],
"grant_types": [
"authorization_code"
],
"response_types": [
"code"
],
"token_endpoint_auth_method": "none",
"client_uri": "<string>",
"logo_uri": "<string>"
}
'import requests
url = "https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId}"
payload = {
"client_id": "<string>",
"client_name": "<string>",
"redirect_uris": ["<string>"],
"grant_types": ["authorization_code"],
"response_types": ["code"],
"token_endpoint_auth_method": "none",
"client_uri": "<string>",
"logo_uri": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '<string>',
client_name: '<string>',
redirect_uris: ['<string>'],
grant_types: ['authorization_code'],
response_types: ['code'],
token_endpoint_auth_method: 'none',
client_uri: '<string>',
logo_uri: '<string>'
})
};
fetch('https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_name": "<string>",
"application_type": "native",
"redirect_uris": [
"<string>"
],
"grant_types": [
"authorization_code"
],
"response_types": [
"code"
],
"token_endpoint_auth_method": "none",
"client_id": "<string>",
"client_id_issued_at": 123,
"registration_client_uri": "<string>",
"client_uri": "<string>",
"logo_uri": "<string>",
"registration_access_token": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}Replace a dynamic MCP client registration
Authorizations
Dynamic-client registration access token returned once when the MCP OAuth client is created. It remains valid only for that client's registration management URI.
Path Parameters
Body
- Option 1
- Option 2
- Option 3
Must exactly match the clientId path parameter.
120native, web Required and non-empty when grant_types contains authorization_code; may be empty for a device-only client.
10Must contain authorization_code or the device-code grant. refresh_token may accompany either.
1 - 3 elementsauthorization_code, refresh_token, urn:ietf:params:oauth:grant-type:device_code Exactly ["code"] for authorization_code clients and [] for device-only clients.
1"code""none"Response
Updated registration metadata
- Option 1
- Option 2
- Option 3
120native, web Required and non-empty when grant_types contains authorization_code; may be empty for a device-only client.
10Must contain authorization_code or the device-code grant. refresh_token may accompany either.
1 - 3 elementsauthorization_code, refresh_token, urn:ietf:params:oauth:grant-type:device_code Exactly ["code"] for authorization_code clients and [] for device-only clients.
1"code""none"Returned only when the client is created; show and store it once.